/*
 *  shadowircd: an advanced Internet Relay Chat Daemon(ircd).
 *  acl.h: The header used for shadow's ACL implementation.
 *
 *  Copyright (C) 2002 by the past and present ircd coders, and others.
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 *  USA
 *
 *  $Id: acl.h 191 2005-04-11 19:35:42Z nenolod $
 */

#ifndef ACL_H
#define ACL_H

typedef aclgroup_t struct aclgroup_;
typedef aclentry_t struct aclentry_;

struct aclgroup_ {
	/* The name of the ACL group. */
	char *name;

	/* A linked list of groups this group inherits. */
	dlink_list *inheritance;
};

struct aclentry_ {
	/* The name of the permission. */
	char *name;

	/* The ACL group that is needed to use this permission. */
	aclentry_t *requires;

	/* Whether or not to log usage of the permission. */
	int logusage;
};

#endif
