/*
 * shadowircd: an advanced internet relay chat daemon(ircd).
 * isupport.h: Routines for manipulating the 005 responses.
 *
 * Copyright (c) 2005 ShadowIRCd group
 *
 * This software is free software, see LICENSE in the root
 * of the source tree for details.
 *
 * $Id$
 */

#ifndef ISUPPORT_H
#define ISUPPORT_H

struct ISupportEntry {
	/* the name of the entry. */
	char *name;

	/* the value of the entry. */
	char *value;
};

extern char *ISupportLines[];

extern void isupport_add(struct ISupportEntry *);
extern void isupport_del(char *name);
extern struct ISupportEntry *isupport_find(char *name);
extern void isupport_create(char *name, char *value);
extern void generate_isupport();
extern void init_isupport();

#endif
