/*
 *  shadowircd: an advanced Internet Relay Chat Daemon(ircd).
 *  patchlevel.h: A header defining the patchlevel.
 *
 *  Copyright (C) 2002 by the past and present ircd coders, and others.
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 *  USA
 *
 *  $Id: patchlevel.h 242 2005-04-21 14:29:10Z nenolod $
 */

#ifndef PATCHLEVEL
#define RELEASE 1
#define BETA 2
#define ALPHA 3
#define CURRENT 4

#define BRANCHSTATUS RELEASE

/* The oldest protocol we will accept */
#define PROTO_MIN 3400

/* The oldest new protocol link we will accept */
#define PROTO_NEW 3401

/* The latest protocol version */
#define PROTO_CUR 3402

#define BASENAME "ShadowIRCd"
#define MAJOR 4
#define MINOR 0

#define PATCH1 ""
#define PATCH2 ""
#define PATCH3 ""
#define PATCH4 ""
#define PATCH5 ""

#define PATCHES PATCH1 PATCH2 PATCH3 PATCH4 PATCH5

#undef QA_BUILD

void build_version(void);

#endif
