/*
 * ShadowIRCd - an advanced Internet Relay Chat daemon(ircd)
 * simban.h: A simban implementation.
 * 
 * Copyright (c) 2004 ShadowIRCd development group.
 *
 * For licensing details, see LICENSE in the root of this source.
 *
 * $Id: simban.h 191 2005-04-11 19:35:42Z nenolod $
 */

#ifndef SIMBAN_H
#define SIMBAN_H

#define SIMBAN_REJECT	1
#define SIMBAN_EXEMPT	2
#define SIMBAN_AUTOBAN	3
#define SIMBAN_ALLOW	4

#define SIMBAN_NICK	1
#define SIMBAN_GECOS	2
#define SIMBAN_CHANNEL	3
#define SIMBAN_HOSTS	4
#define SIMBAN_IP	5
#define SIMBAN_PRIVMSG	6

#define SIMBAN_MATCHING	1
#define SIMBAN_REGEX	2

struct simban
{
	/* *.ipt.aol.com */
	char param[256];

	/* reject, exempt, autoban, allow */
	int ruletype;

	/* nick, gecos, channel, hosts, ip, privmsg */
	int ruleclass;

	/* matching, regex */
	int flags;
};

extern dlink_list simban_list;
extern void parse_simbans();
extern void report_simbans(struct Client *);
extern void init_simbans();
extern int onconnect_simban_check(struct Client *);
extern void onjoin_simban_check(struct Membership *);
extern int onprivmsg_simban_check(struct Client *, struct Client *,
					const char *);
extern void parse_simban(char *);

#endif
